summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Vincent Batts2010-05-13 00:57:47 +0200
committer Robby Workman2010-05-13 00:57:47 +0200
commitd2bfb1b1e0dd8efb42ef631f93d776efe0a5957a (patch)
treec5dbc92ea0a66ba5bceebc721d0c10fbcd732ffb /development
parenta5055cec44e0abf89403ed1125a4f3fc896d63ac (diff)
downloadslackbuilds-d2bfb1b1e0dd8efb42ef631f93d776efe0a5957a.tar.gz
development/amaya: Added to 13.0 repository
Diffstat (limited to 'development')
-rw-r--r--development/amaya/README5
-rw-r--r--development/amaya/amaya.SlackBuild88
-rw-r--r--development/amaya/amaya.desktop9
-rw-r--r--development/amaya/amaya.info10
-rw-r--r--development/amaya/slack-desc19
5 files changed, 131 insertions, 0 deletions
diff --git a/development/amaya/README b/development/amaya/README
new file mode 100644
index 0000000000..f21e1240bc
--- /dev/null
+++ b/development/amaya/README
@@ -0,0 +1,5 @@
+amaya (W3 Web Editor)
+
+Amaya is a Web editor, i.e. a tool used to create and update documents
+directly on the Web. Browsing features are seamlessly integrated with
+the editing and remote access features in a uniform environment.
diff --git a/development/amaya/amaya.SlackBuild b/development/amaya/amaya.SlackBuild
new file mode 100644
index 0000000000..dea7cb960a
--- /dev/null
+++ b/development/amaya/amaya.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for amaya
+
+# Written by Vincent Batts, http://hashbangbash.com/
+
+PRGNAM=amaya
+VERSION=${VERSION:-11.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf Amaya${VERSION}
+tar xvf $CWD/$PRGNAM-sources-${VERSION}.tgz
+cd Amaya${VERSION}/Amaya
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ../configure \
+ --prefix=/opt/ \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-gl \
+ --enable-system-raptor \
+ --build=$ARCH-slackware-linux
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# silly hack to link correctly
+rm -r $PKG/opt/bin/
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin/ ; ln -s ../../opt/Amaya/wx/bin/$PRGNAM )
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+( cd $PKG/usr/share/pixmaps
+ ln -s ../../../opt/Amaya/resources/icons/misc/logo.png amaya.png
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/amaya/amaya.desktop b/development/amaya/amaya.desktop
new file mode 100644
index 0000000000..ce3931bc1f
--- /dev/null
+++ b/development/amaya/amaya.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Exec=amaya
+Icon=amaya
+Type=Application
+Categories=Network;Development;WebDevelopment;
+Name=Amaya
+GenericName=Web Editor
+MimeType=text/html;text/css;text/x-javascript;text/x-python;text/x-perl;application/x-php;text/x-java;text/javascript;text/x-php;application/x-cgi;application/x-javascript;application/x-perl;application/x-python;application/xhtml+xml;text/mathml;text/x-csrc;text/x-chdr;text/x-dtd;text/x-sql;text/xml;
+X-KDE-StartupNotify=true
diff --git a/development/amaya/amaya.info b/development/amaya/amaya.info
new file mode 100644
index 0000000000..b8978a0dc3
--- /dev/null
+++ b/development/amaya/amaya.info
@@ -0,0 +1,10 @@
+PRGNAM="amaya"
+VERSION="11.2"
+HOMEPAGE="http://www.w3.org/Amaya/"
+DOWNLOAD="http://www.w3.org/Amaya/Distribution/amaya-sources-11.2.tgz"
+MD5SUM="7fc2503abce1393e1bbd054be719ee0d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="rworkman"
diff --git a/development/amaya/slack-desc b/development/amaya/slack-desc
new file mode 100644
index 0000000000..9f6810be08
--- /dev/null
+++ b/development/amaya/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+amaya: amaya (W3 Web Editor)
+amaya:
+amaya: Amaya is a Web editor, i.e. a tool used to create and update
+amaya: documents directly on the Web. Browsing features are seamlessly
+amaya: integrated with the editing and remote access features in a
+amaya: uniform environment.
+amaya:
+amaya: Homepage: http://www.w3.org/Amaya/
+amaya:
+amaya:
+amaya: